export declare enum LogLevels {
    error = "error",
    warn = "warn",
    info = "info",
    http = "http",
    debug = "debug"
}
export declare class Logger {
    #private;
    private static instance;
    private readonly logger;
    constructor(identifier?: string, loglevel?: LogLevels);
    static getInstance(identifier?: string, loglevel?: LogLevels): Logger;
    setDatadogTransport(context?: {
        service?: string;
        env?: string;
        source?: string;
        tags?: {
            [tag: string]: string;
        };
        apiKey?: string;
    }): Logger;
    info(...args: Array<unknown>): void;
    static info(...args: Array<unknown>): void;
    debug(...args: Array<unknown>): void;
    static debug(...args: Array<unknown>): void;
    error(...args: Array<unknown>): void;
    static error(...args: Array<unknown>): void;
    warn(...args: Array<unknown>): void;
    static warn(...args: Array<unknown>): void;
    verbose(...args: Array<unknown>): void;
    static verbose(...args: Array<unknown>): void;
}
